---
title: 'RTCPeerConnection: peeridentity event'
slug: Web/API/RTCPeerConnection/peeridentity_event
tags:
  - Authentication
  - Identity
  - Obsolete
  - Reference
  - WebRTC
  - WebRTC API
  - events
  - peeridentity
---
<p>{{APIRef("WebRTC")}}{{obsolete_header}}</p>

<p><span class="seoSummary">The <strong><code>peeridentity</code></strong> event is sent to the connection concerned when peer identity has been set and verified on it. The new identiy can be access using the {{domxref("RTCPeerConnection.peerIdentity")}} property.</span> An event handler for this event can be added via the {{domxref("RTCPeerConnection.onpeeridentity")}} property.</p>

<table class="properties">
 <tbody>
  <tr>
   <th scope="row">Bubbles</th>
   <td>No</td>
  </tr>
  <tr>
   <th scope="row">Cancelable</th>
   <td>No</td>
  </tr>
  <tr>
   <th scope="row">Interface</th>
   <td>{{DOMxRef("Event")}}</td>
  </tr>
  <tr>
   <th scope="row">Event handler property</th>
   <td>{{DOMxRef("RTCPeerConnection.onpeeridentity", "onpeeridentity")}}</td>
  </tr>
 </tbody>
</table>

<div class="notecard warning">
<p><strong>Important:</strong> This event and its event handler have been removed from the specification and are no longer available. Instead of using this event to detect when an identity is available, wait for the {{jsxref("Promise")}} returned by {{domxref("RTCPeerConnection.peerIdentity")}} to be resolved. Once resolved, its value is the new identity.</p>
</div>

<h2 id="Examples">Examples</h2>

<p>For the correct way to detect a new peer identity, see {{domxref("RTCPeerConnection.peerIdentity")}}.</p>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
  <tr>
   <td>{{ SpecName('WebRTC 1.0', '#event-mediastream-peeridentity', 'peeridentity') }}</td>
   <td>{{Spec2('WebRTC 1.0')}}</td>
   <td> </td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.RTCPeerConnection.peeridentity_event")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li><a href="/en-US/docs/Web/API/WebRTC_API">WebRTC API</a></li>
</ul>
